%define name	tmda
%define version	0.62
%define release	1rph

# get exact version of python we're building against
%define pythver	%(echo "`rpm -q --queryformat %{VERSION} python`")

Summary:	Tagged Message Delivery Agent
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	BSD
Group:		Networking/Mail
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires:	python >= 2.0
Requires:	python = %{pythver}
URL:		http://tmda.net/

%description
TMDA is an OSI certified software application designed to significantly 
reduce the amount of SPAM/UCE (junk-mail) you receive.  TMDA combines a 
"whitelist" (for known/trusted senders), a "blacklist" (for undesired 
senders), and a cryptographically enhanced confirmation system (for unknown, 
but legitimate senders).

%prep
%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
python ./compileall

%install
%define pyprefix %(python -c 'import sys; print sys.prefix')
%define pyver %(python -c 'import sys; print sys.version[:3]')
%define pylibdir %{pyprefix}/lib/python%{pyver}/site-packages
mkdir -p %{buildroot}/{%{_bindir},%{_datadir}/tmda,%{pylibdir}/TMDA}
install -m 755 bin/tmda-* %{buildroot}%{_bindir}
install -m 644 templates/*.txt %{buildroot}%{_datadir}/tmda
install -m 644 TMDA/*.{py,pyc} %{buildroot}%{pylibdir}/TMDA
install -m 755 contrib/{collectaddys,printcdb,printdbm} %{buildroot}%{_bindir}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING CRYPTO INSTALL README THANKS UPGRADE contrib/ htdocs/{README,*.html}
%{_bindir}/*
%{pylibdir}/TMDA/*.py
%verify(not size md5 mtime) %{pylibdir}/TMDA/*.pyc
%{_datadir}/tmda/*

%changelog
* Wed Oct 16 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.62-1rph
- 0.62

* Tue Aug 20 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.61-1rph
- 0.61
- fix URL

* Wed Aug 07 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.59-1rph
- 0.59

* Wed Jul 17 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.58-1rph
- 0.58

* Tue Jun 18 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.57-1rph
- 0.57

* Fri Jun  7 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.56-1rph
- 0.56
- install contrib tools

* Tue Apr 23 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.52-1rph
- 0.52
- first build for rpmhelp.net

* Sun Mar 17 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.49-1mdk
- 0.49

* Tue Mar 5 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.48-1mdk
- 0.48
- get a little creative with how we figure out what version of python we're
  built against (better for rebuilding srpms).. only drawback is it requires
  python to be installed as an rpm

* Fri Feb  8 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.46-1mdk
- 0.46

* Sun Feb  3 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.45-1mdk
- 0.45
- buildrequires: python >= 2.0
- requires is now explicit to python version for binary builds

* Thu Jan 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.44-1mdk
- 0.44

* Tue Dec 11 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.42-1mdk
- 0.42

* Sat Dec  8 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.41-1mdk
- first Mandrake version
